using System.ComponentModel.DataAnnotations;

namespace BuecherwurmAPI.Models
{
    public class Book
    {
        public string Name {get; set;}
        public string Author {get; set;}
        public string Country {get; set;}
        public string Link {get; set;}
        public string Language {get; set;}
        public long Pages {get; set;}
        public long Year {get; set;}
        [Key, Required]
        public long ProductId { get; set; }
        public long Category { get; set; }
        public string ImageLink { get; set; }
        public long LendTime {get; set;}
        public long LendType {get; set;}
    }

    public class BookPost
    {
        public string Name {get; set;}
        public string Author {get; set;}
        public string Country {get; set;}
        public string Link {get; set;}
        public string Language {get; set;}
        public long Pages {get; set;}
        public long Year {get; set;}
        public long Category { get; set; }
        public string ImageLink { get; set; }
        public long LendTime {get; set;}
        public long LendType {get; set;}
    }

}