using System.Collections.Generic;
using BuecherwurmAPI.Models;

namespace BuecherwurmAPI.Models
{
    public interface IBookRepo
    {
        IEnumerable<Book> GetAllBooks();
        Book GetBookById(long id);
        void DeleteBook(long id);
        long AddBook (Book book);
        long EditBook (long id, Book book);
    }
}