using System;
using System.ComponentModel.DataAnnotations;

namespace BuecherwurmAPI.Models
{
    public class Lend
    {
        [Key, Required]
        public long Id { get; set; }
        [Required]
        public long ItemId { get; set;}
        [Required]
        public DateTime ReturnDate { get; set; }
        [Required]
        public string Customer { get; set;  }
        [Required]
        public bool Returned { get; set; }
    }

    public class LendPost
    {
        public long ItemId {get; set;}

        public DateTime ReturnDate {get; set;}

        public string Customer {get; set;}

        public bool Returned { get; set; }
    }
} 
