using System.Collections.Generic;
using BuecherwurmAPI.Models;

namespace BuecherwurmAPI.Models
{
    public interface IItemRepo
    {
        IEnumerable<Item> GetAllItems();
        Item GetItemById(long itemId);
        Item NewItem(ItemPost item);
        void DeleteItem(long itemId);
    }
}